%define oname Thunar

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define api	2
%define libname	%mklibname thunarx %{api} %{major}
%define devname	%mklibname thunarx -d

Summary:	New modern file manager for the Xfce Desktop Environment
Name:		thunar
Version:	1.6.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://thunar.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{oname}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(exo-1) >= 0.9.0
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4panel-1.0)

Requires(post):	desktop-file-utils >= 0.10
Requires(postun): desktop-file-utils >= 0.10

Requires:	shared-mime-info >= 0.15
Requires:	exo
Requires:	thunar-volman
Suggests:	tumbler

%description
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criterions that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

%package -n %{libname}
Summary:	Libraries for the thunar filemanager
Group:		Graphical desktop/Xfce
#Added 4/2012 (wally)
Obsoletes:	%{_lib}thunar2_0 < 1.4.0

%description -n %{libname}
Libraries for the thunar filemanager.

%package -n %{devname}
Summary:	Development files for the thunar filemanager
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	thunarx-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libthunarx-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}thunar1_2-devel
#added 4/2012 (wally)
Obsoletes:	%{_lib}thunar-devel < 1.4.0
Conflicts:	%{name} < 1.3.1

%description -n %{devname}
Development files for the thunar filemanager.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-dbus \
	--enable-notifications \
	--enable-exif \
	--enable-pcre \
	--enable-apr-plugin \
	--enable-tpa-plugin \
	--enable-uca-plugin \
	--enable-wallpaper-plugin \
	--enable-gio-unix \
	--enable-gudev

%make

%install
%makeinstall_std

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{oname}

# Remove unneeded files
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/Thunar/uca.xml

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS FAQ HACKING README THANKS TODO
%doc docs/README.gtkrc docs/README.thunarrc
%dir %{_sysconfdir}/xdg/Thunar
%{_bindir}/%{oname}
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_iconsdir}/hicolor/*/stock/navigation/stock_*
%{_datadir}/pixmaps/%{oname}/
%{_datadir}/dbus-1/services/*
%{_datadir}/%{oname}/
%{_libdir}/%{oname}/
%{_libdir}/thunarx-%{api}/
%{_mandir}/man1/%{oname}.*
%{_libdir}/xfce4/panel/plugins/lib%{name}-*.so
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop

%files -n %{libname}
%{_libdir}/libthunarx-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/thunarx/
%{_includedir}/thunarx-%{api}/
%{_libdir}/libthunarx-%{api}.so
%{_libdir}/pkgconfig/thunarx-%{api}.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.3-2.mga4
+ Revision: 523569
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 1.6.3-1.mga4
+ Revision: 425077
- new version 1.6.3

* Mon Jan 14 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 384531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 wally <wally> 1.6.2-1.mga3
+ Revision: 335702
- new version 1.6.2
- drop upstream patches

* Sun Dec 16 2012 wally <wally> 1.6.1-2.mga3
+ Revision: 331423
- add patch from upstream git to fix freeze on /proc/kmsg

* Sun Dec 09 2012 wally <wally> 1.6.1-1.mga3
+ Revision: 329091
- new version 1.6.1
- drop patches from upstream

* Wed Dec 05 2012 wally <wally> 1.6.0-2.mga3
+ Revision: 327026
- add patch from upstream git to show NoDisplay=true applications (xfce#9595)

* Mon Dec 03 2012 wally <wally> 1.6.0-1.mga3
+ Revision: 325989
- new version 1.6.0

* Sat Dec 01 2012 fwang <fwang> 1.5.3-2.mga3
+ Revision: 323856
- rebuild for new pcre

* Sun Nov 25 2012 wally <wally> 1.5.3-1.mga3
+ Revision: 321704
- new version 1.5.3

* Sat Nov 10 2012 wally <wally> 1.5.2-1.mga3
+ Revision: 316887
- new version 1.5.2

* Wed Oct 31 2012 wally <wally> 1.5.1-1.mga3
+ Revision: 311803
- new version 1.5.1
- drop patches from upstream

* Tue Oct 30 2012 wally <wally> 1.5.0-2.mga3
+ Revision: 311621
- add patch from upstream to revert XdndDirectSave0 removal (xfce#9414)
  * fixes drag'n drop from file-roller

* Sun Oct 14 2012 wally <wally> 1.5.0-1.mga3
+ Revision: 305473
- new version 1.5.0
- drop P4

* Sat Sep 08 2012 wally <wally> 1.4.0-2.mga3
+ Revision: 289999
- rebuild for possible fix for segfaults after some recent updates

* Mon May 28 2012 wally <wally> 1.4.0-1.mga3
+ Revision: 248462
- new version 1.4.0
- fix lib and dev pkg names
- use upstream categories in .desktop files
- clean .spec

* Wed Jul 20 2011 ahmad <ahmad> 1.3.0-3.mga2
+ Revision: 127497
- Suggest tumbler, for thumnails support (mga#2209)

* Mon Jun 13 2011 ahmad <ahmad> 1.3.0-2.mga2
+ Revision: 105546
- Rebuild against libnotify-0.7
- Drop unapplied patches

* Sat Mar 26 2011 dmorgan <dmorgan> 1.3.0-1.mga1
+ Revision: 77840
- New version 1.3.0

* Thu Jan 27 2011 ahmad <ahmad> 1.2.0-1.mga1
+ Revision: 42006
- imported package thunar


* Tue Jan 25 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 632710
- update to new version 1.2.0

* Fri Jan 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2011.0
+ Revision: 629610
- update to new version 1.1.6

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2011.0
+ Revision: 616400
- update to new version 1.1.5

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.4-1mdv2011.0
+ Revision: 593819
- update to new version 1.1.4
- drop some conditions in spec file for mdv older than 200900

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 1.1.2-2mdv2011.0
+ Revision: 582394
- fix upgrade (bug #61131)

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 579338
- add more buildrequires
- fix file list
- update to new version 1.1.2
- update file list
- update configure options

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 564019
- add four patches from the upstream:
- Patch7: fix icon naming
- Patch8: check if window was maximized before closing
- Patch9: fix sidepanel width
- Patch10: update cursor on delete
- Patch11: refilter tree if there is a hidden dir

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 553875
- update to new version 1.0.2

* Thu Jun 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-7mdv2010.1
+ Revision: 547012
- rebuild for exo

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-6mdv2010.1
+ Revision: 522198
- fix .desktop files

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 1.0.1-5mdv2010.1
+ Revision: 490562
- rebuild for new libjpeg

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-4mdv2010.1
+ Revision: 484943
- fix patch
- add buildrequires on xfconf-devel
- Patch6: prevent crashing of Thunar when you are drag'n'drop some unhandled formats e.g text

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 1.0.1-3mdv2010.0
+ Revision: 416911
- rebuild for new libjpeg

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 385898
- Patch3: strip jpg icon extension too
- re-generate thunar-window-ui.h file before build

* Wed Apr 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 368750
- update to new version 1.0.1

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 364439
- Patch6: properly apply umask for new files and directories

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2009.1
+ Revision: 349178
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 345736
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.99.1-1mdv2009.1
+ Revision: 333835
- update to new version 0.9.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.93-1mdv2009.1
+ Revision: 329512
- update to new version 0.9.93

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.92-2mdv2009.1
+ Revision: 303565
- drop patch 5 as it was merged by upstream
- add full path for the Source0
- update to new version 0.9.92 (Xfce 4.6 Beta 2 Hopper)

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.91-2mdv2009.1
+ Revision: 302658
- rebuilt against new libxcb

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.91-1mdv2009.1
+ Revision: 294526
- Xfce4.6 beta1 is landing on cooker
- drop patches 0, 1, 2 and 3

* Sun Oct 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-18mdv2009.1
+ Revision: 292835
- Patch6: new version from xfce bugzilla

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-17mdv2009.1
+ Revision: 291557
- Patch6: new version from xfce bugzilla

* Mon Sep 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-16mdv2009.0
+ Revision: 286706
- Patch6: new version

* Fri Sep 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-15mdv2009.0
+ Revision: 285955
- Patch6: rediff
- Patch6: new version (from xfce upstream bug #4365)
- require libname

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-13mdv2009.0
+ Revision: 284698
- Patch6: new version (from xfce upstream bug #4365)

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-12mdv2009.0
+ Revision: 281250
- Patch6: new version of patch

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-11mdv2009.0
+ Revision: 273491
- Patch6: use XDG user environment variables

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-10mdv2009.0
+ Revision: 219511
- add buildrequires on intltool
- fix file list

  + Anssi Hannula <anssi@mandriva.org>
    - fix underlinking (fix-underlinking.patch)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing in summary

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-9mdv2009.0
+ Revision: 205641
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-8mdv2009.0
+ Revision: 199464
- Patch4: don't die on dbus disconnect

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-7mdv2009.0
+ Revision: 197186
- Patch3: new version of stripping extension patch, fixes bug #40230 (tasty cookie goes to incubusss ;)

* Fri Mar 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-6mdv2008.1
+ Revision: 189406
- Patch3: fix entension stripping for icons (Xfce upstream bug #3614)

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-5mdv2008.1
+ Revision: 188986
- add missing buildrequires on libusb-devel
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-4mdv2008.1
+ Revision: 121150
- add patch 2 (show Eject for all removeable media. not only for disks)

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-3mdv2008.1
+ Revision: 119151
- provide better version on patch 0 (please see http://bugzilla.xfce.org/show_bug.cgi?id=2983)

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.0-2mdv2008.1
+ Revision: 115264
- Add Upstream Patch and bump release

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 115199
- New release 0.9.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-10mdv2008.1
+ Revision: 110603
- update summary
- update description
- remove buildrequires on libxml2-devel
- add missing buildrequires on libpcre,libexif,libpng,libjpeg and libGConf2
- new license policy
- revert last change
- fix desktop entry

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-8mdv2008.0
+ Revision: 91878
- exclude config files which are now in mandriva-xfce-config package

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-7mdv2008.0
+ Revision: 79434
- provide patch 0, which prevent zombie process
- set configure options

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-6mdv2008.0
+ Revision: 71243
- man pages are now lzma'd
- adjust provides
- own directory
- fix file list
- new devel library policy
- drop X-MandrivaLinux
- add missing scriplets

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 36206
- rebuild with correct optflags

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild for Applet in Panel

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-3mdv2008.0
+ Revision: 32993
- revert libname
- correct %%{major}
- drop old menu style
- add macros to %%post and %%postun
- drop buildrequires on ImageMagick
- spec file clean


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 150358
- Add thunar Requires

* Tue Jan 23 2007 Sébastien Savarin <plouf@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 112319
- New release 0.8.0

  + Jérôme Soyer <saispo@mandriva.org>
    - Add Obsoletes

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.0rc2-2mdv2007.1
+ Revision: 97238
- Fix build
- Fix %%files
- fix buildrequires
- Fix release
- Add BuildRequires
- New release

* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.2-0.beta2.6mdv2007.1
+ Revision: 90083
- Rebuild for new DBUS

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - import thunar-0.3.2-0.beta2.4mdv2007.0

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.4mdv2007.0
- rebuild for new dbus

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.3mdv2007.0
- use icon marco properly

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.2mdv2007.0
- add showonly to .desktop
- use icon marco

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-0.beta2.1mdv2007.0
- 0.3.2beta2
- xdg
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.0-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.0-0.beta1.1mdk
- 0.3.0beta1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.2.3-0.svn_r20246.1mdk
- svn r20246
- new soname
- requires exo
- buildrequires hal-devel
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.2.1-0.svn_r19739.2mdk
- buildrequires perl-XML-Parser

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.2.1-0.svn_r19739.1mdk
- 0.2.1 svn r19739
- initial Mandriva package

